Questions tagged [packages]

A package is a specific piece of software and data in an archive files. It can be installed and uninstalled usually be a distribution-dependent package manager (e.g. apt-get on Raspbian or pacman on Arch Linux). This is for questions related to the use and management of packages.

Filter by
Sorted by
Tagged with
16
votes
1answer
16k views

Where are nslookup and dig gone?

I installed my Raspberry Pi out of the box. Unfortunately, I can't seem to find neither nslookup nor dig. Where can I find them? Which package do I need to add? uname -a is: Linux brambleberry 3.12....
10
votes
1answer
28k views

How do I install LibreOffice?

When I type $ sudo apt-get install libreoffice<tab> I see there are 141 tab completions. All the language packs are there as well as several support packages. But libreoffice itself is absent....
9
votes
3answers
35k views

ImportError: No module named RPi

I am trying to run a package on my Raspberry Pi: At the terminal, I typed in “sudo apt-get install picap” followed by enter. I get it installed but cannot execute "picap-setup" – instead an error ...
8
votes
5answers
1k views

Can I safely remove non-free software on a Raspberry Pi 2 running Raspbian?

I am the lucky owner of a Raspberry Pi 2 on which I installed Raspbian: $ cat /proc/version Linux version 3.18.11-v7+ (dc4@dc4-XPS13-9333) (gcc version 4.8.3 20140303 (prerelease) (crosstool-NG ...
8
votes
3answers
62k views

How to install GNU C++ Development Tools on Raspberry Pi (using apt-get)

Is there a well-known package I should install for C++ Development Tools? What do I type at the command-line after sudo apt-get install? Ideally, I want the same tools that were installed with "...
8
votes
2answers
18k views

Unable to use apt-get: dpkg: unrecoverable fatal error … is missing final newline

I am unable to use the apt-get command to install any packages on my pi. I started trying to install python-pip using sudo apt-get install python-pip which results in the error dpkg: unrecoverable ...
8
votes
1answer
2k views

How to add a package to official raspbian repositories?

How to add a package to official raspbian repositories ? Debian has a very extensive guide into the matter : https://www.debian.org/doc/manuals/distribute-deb/distribute-deb.html#adding-packages-to-...
6
votes
5answers
1k views

Pre-compiled Node.js for Raspberry Pi?

Is there a precompiled binary of the latest Node.js that runs on the Raspbian OS?
5
votes
2answers
2k views

apt-get hangs at Reading database when installing anything

One of my raspberry pi's is hanging whenever I try to install or update anything using apt-get. Running Raspbian 7 (wheezy). Symptoms (using watchdog as an example as it has no dependencies): # apt-...
4
votes
1answer
523 views

The following packages have been kept back: mopidy

After performing sudo apt-get update && sudo apt-get upgrade, I got the message The following packages have been kept back: mopidy What I usually do in this case, is sudo apt-get install ...
4
votes
3answers
14k views

held broken packages

When I try and do sudo apt-get update it seems to me that I have 4 newer packages than what is to be installed. Any help would be appreciated. Thank you. Module Index Update Packages Building ...
4
votes
1answer
3k views

Which architecture should I choose for downloading a deb package?

I want to install a wvdial debian package on my Raspberry Pi Model B, Raspbian OS, to enable Internet access via a dongle. I am downloading the package on a different x86 machine and will later ...
4
votes
1answer
1k views

tmux doesn't want to be installed

I had my Raspberry Pi running for a while and needed to uninstall all the junk I left behind for a project. I used tmux before and it was a blessing. I am trying to install it again, but it doesn't ...
4
votes
2answers
4k views

Unable to locate “fim” package

sudo apt-get install fim results in the error message "unable to locate package fim". fbi seems to be fine though. Any idea why?
3
votes
3answers
3k views

Is “gedit” a command or text editor?

My question here has to do with "gedit." First of all, is it a Linux command or a text editor? From what I have been surfing up recently, gedit is, from my results, a GNOME text editor. And, at the ...
3
votes
2answers
211 views

Julia not available in Raspbian?

I am trying to install Julia: $ sudo apt-get install julia Reading package lists... Done Building dependency tree Reading state information... Done Package julia is not available, but is referred to ...
3
votes
2answers
4k views

samba net command on Debian Wheezy

Which package for Debian Wheezy holds the 'net' command? I am running Raspbian 7 (Debian Wheezy) with samba-common and samba packages installed. But can not locate net.
3
votes
4answers
13k views

Plymouth on Raspberry Pi

Has anyone got plymouth (startup logo package) working on Raspberry Pi? On Raspbian Wheezy, I've successfully installed plymouth using apt-get but when I go to create the required initramfs, I get ...
3
votes
2answers
951 views

how to create a restore point before an apt-get install to effectively remove the package

I discoverd aplay could not play a sound immediately after another aplay command. I reported the issue. It seems to be working in other systems. So I started from scratch and after each apt-get ...
3
votes
1answer
4k views

Install (or build) experimental Debian package for rpi (NetworkManager 1.0)

So I need NetworkManager 1.0 on my Rpi to be able to setup new wifi connections via nmcli. There is a package in experimental debian repo: https://packages.debian.org/network-manager I made $ sudo ...
3
votes
1answer
815 views

Cannot install xpra: unmet dependancies

I'm trying to install Xpra, however it seems that there are missing packages I cannot install. Xpra fails with the following error: Some packages could not be installed. This may mean that you have ...
3
votes
1answer
313 views

How to setup Emacspeak on raspbian OS

I want to setup emacspeek package on raspi. text to speech reader usable for blind users. But currently emacspeek is available only on archlinux.How to make it working on raspbian? sudo apt-get ...
3
votes
1answer
3k views

unmet dependencies for php5-mysql

I'm trying to get owncloud running on a Raspberry Pi 3 to run as a local file server. I'm following some tutorials that are running me through setting up mysql for owncloud, and MySQL installed fine ...
3
votes
0answers
2k views

How do you setup a Raspbian Package Repository [closed]

Many of the Raspbian packages available are old and I want to update some of the software I use to the latest version. I would like to setup a local repository so my other RPi's can all pull from the ...
3
votes
1answer
189 views

linux-imag-?-dbg and linux-headers package missing

I'd like to make use of systemtap on my 2016-02-09-raspbian/jessie system. For that I need the kernel debug package and the kernel headers. The kernel in use is: root@raspberrypi:/home/pi# uname -r ...
2
votes
5answers
22k views

automatically uninstall all non essential packages

I want to make my debian server cleaner, easier to manage and have better performance. Is there a command that I can run to clean up (uninstall) all non essential packages so that I can start from the ...
2
votes
3answers
1k views

pacman -Syu breaks Pi running Arch

So I just booted up my raspberry pi running Linux Arch. I read several posts that instructed my to update the system using pacman -Syu so I did so and then attempted to reboot my pi. However it ...
2
votes
1answer
3k views

Why does sudo apt-get build-dep not work for emacs24?

this is my first post on this SX Forum. After doing some searching myself (and failing), I wanted to ask why the command sudo apt-get build-dep emacs24 fail on a Pi running Raspbian Jessie? The ...
2
votes
1answer
1k views

Where are packages installed in Raspbian

I installed postgresql. sudo apt-get postgresql-9.4 I am not able to find, where it was installed. Where is the data folder of the postgres
2
votes
1answer
4k views

Raspbian: Download sources of older packages

I want to sell embedded devices powered by Raspberry Pis and Raspbian (without the non-free software). I want to distribute the sources of the os distribution with the devices (mainly to satisfy GPL ...
2
votes
2answers
95 views

List of supported software versions?

I saw a few questions, which are asking for the latest version of package/lib/software named XY, so I do believe that a more general question, which could help other looking for some package/lib/...
2
votes
1answer
87 views

Got compilation error when installing plyvel

I got an error while trying to install plyvel on my raspberry (pi 3 B+) with sudo pip install plyvel : Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple Collecting plyvel ...
2
votes
1answer
12k views

Missing PACMAN command, can I install it without connecting internet?

I would like to set up ADSL connection for my RPi I've download ppp and rp-pppoe (pkg.tar.xz) and want to use pacman command to install the packages But in my RPi system can not find pacman tool My ...
2
votes
1answer
1k views

How can I get a list of user installed packages

I want to get the list of installed packages to perform a fresh installation. There are many ways of getting these e.g. https://wiki.debian.org/ListInstalledPackages but all produce impractically ...
2
votes
1answer
561 views

Installing GitLab on Raspian Stretch

I am trying to install GitLab on my Pi according to the official instructions. Until this step everything seems to be working fine: seb@raspi:~ $ sudo curl -sS https://packages.gitlab.com/install/...
2
votes
2answers
3k views

How to setup Octave GNU 4.0+ for Raspbian

I'm working on the project where I need to read engraved text on the frame. I'm taking a picture using the Raspberry Pi USB camera. I initially developed a script in MatLab which achieved over 70% ...
2
votes
1answer
115 views

OpenCV release vs development version

I made a simple application with OpenCV for the RPI2. To do so, I installed the 'development' package on my RPI2. sudo apt-get install libopencv-dev python-opencv Now, I want to install my ...
2
votes
1answer
1k views

Install latest version of a package

I wanted to install Vim on my Raspberry Pi 2, but the repository only has v7.3 instead of the latest 7.4. There is some functionality missing in the old I need. I've found that you can download the ....
2
votes
0answers
197 views

ImportError: undefined symbol, bad installation of scipy?

On my raspberry pi I created a virtual environment with the virtualenv package. Using pip3 I installed the following python packages for python 3.5: imutils==0.5.2 numpy==1.16.3 opencv-contrib-python=...
2
votes
0answers
53 views

How do I create my own package from a compiled source?

I have spent a few good hours compiling the latest mono for the Rasbperry Pi. I wouldn't want to do this again, if it came to it. I tried cross compiling with qemu but I am still a noob with qemu. ...
2
votes
0answers
59 views

How to package Shell Bash files for apt-get

Packaging a shell bash file and txt files for raspbian install using the apt-get install. Is there a detailed and simple way of doing this. to be able to package file so that they can be installed ...
2
votes
0answers
1k views

Unable to fetch some archives (503 Service Unavailable) [closed]

I recently got a Raspberry Pi and have been trying to install some apps on it. I tried installing gnash using: sudo apt-get install iceweasel browser-plugin-gnash but following error message ...
1
vote
4answers
2k views

Install Packages on Raspberry Pi2 without wifi

I have a Rpi2 and it is not connected to wifi and I cant connect it to Ethernet. I have a Windows 10 pc and want to install packages offline on my rpi2. Is this possible?
1
vote
2answers
2k views

On Raspbian, there is no arp program. How do I obtain it?

This is raspbian stretch. I have net-tools and iproute2 packages installed. That is so far all ive found that looks like might contain the tool from apt-get. I just want to use the raspi as an ...
1
vote
2answers
3k views

installing package error “sudo apt-get install ppp”

I'm trying to install the ppp packaged for the raspberry pi so i can connect a 3g dongle to the internet but i get the following error. It seems that some modules install except one. overall the ppp ...
1
vote
2answers
39 views

autoreconf: command not found

autoreconf -fiv -bash: autoreconf: command not found I've tried everything listed in this link, but I still can't find any auto(re)conf. pi@no:~/motion $ apt-cache search autoreconf pi@no:~/motion $ ...
1
vote
1answer
203 views

Problem with public keys, installing libc6

I'm having trouble installing a dependency on libc6. I'm trying to follow the solution in this question but I get the following response from sudo apt update: Hit:1 http://archive.raspberrypi.org/...
1
vote
1answer
1k views

Installing equivalent of unrar package (rar)

I wanted to install rar from packages ( https://packages.ubuntu.com/search?keywords=unrar ), unfortunately it seems that it is impossible on Raspbian: pi@raspberrypi:~ $ rar bash: rar: command not ...
1
vote
1answer
181 views

Problem with packages [closed]

I'm trying to compile my code import sys,os sys.path.insert(0, '/usr/include') sys.path.append('/usr/include') import plivo, plivoxml auth_id = "Your AUTH_ID" auth_token = "Your ...
1
vote
1answer
1k views

Package jetty is not available

I try to install jetty on a new Raspberry Pi 3 with Raspbian. sudo apt-get install jetty But i only get the following message: Package jetty is not available, but is referred to by another ...